<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title> Создание, удаление, замещение элементов</title>
</head>
    <body>
        <div id="create_elem">
            Создание элементов
        </div>
        <hr>
        <div id="delete_elem">
            Удаление элементов
            <p id="p1">Это первый параграф</p>
            <p id="p2">Это второй параграф</p>
            <div id="delete_parent"> Родительский элемент
                <p id="p3"> Дочерний </p>
            </div>
        </div>
        <hr>
        <div id="replace_elem">
            Замещение элементов
            <p id="p4"> p4 </p>
            <p id="p5"> p5 </p>
        </div>
        <script>
            /**
             * создание
             */
            let node = document.createTextNode(" Create text node");
            let creater = document.getElementById("create_elem");
            creater.appendChild(node);

            // создаем узел - параграф
            let p = document.createElement("p");
            let text = document.createTextNode("Text by new par");
            // добавляем текст в параграф
            p.appendChild(text);
            // на этой строчке созданный элемент еще не на странице
            // сначала найдем куда добавить наш параграф (creater)
            //let div = document.getElementById('divSome');
            // добавим наш параграф в div
            creater.appendChild(p);

            // пусть есть массив
            let arr = ['Petya','Vasya','Kate','Ann'];
            // попробуем его вывести
            // будем использовать цикл
            for (let el of arr) {
                let p = document.createElement('p');
                let text = document.createTextNode(el);
                p.appendChild(text);
                //let div = document.getElementById('divSome');
                creater.appendChild(p);
            }

            /**
             * удаление
             */
            let parent = document.getElementById("delete_elem");
            let child = document.getElementById("p1");
            parent.removeChild(child);

            let child3 = document.getElementById("p3");
            child3.parentNode.removeChild(child3);

            /**
             * замещение
             */
            let par_repl = document.createElement("p");
            let node_repl = document.createTextNode("Это новый параграф");
            par_repl.appendChild(node_repl);

            let parent_repl = document.getElementById("replace_elem");
            let child_repl = document.getElementById("p4");
            parent_repl.replaceChild(par_repl, child_repl);

        </script>
    </body>
</html>